package kotlin.reflect.jvm.internal.impl.descriptors;

import androidx.autofill.HintConstants;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: ModuleCapability.kt */
public final class ModuleCapability<T> {
    private final String name;

    public ModuleCapability(String str) {
        Intrinsics.checkNotNullParameter(str, HintConstants.AUTOFILL_HINT_NAME);
        this.name = str;
    }

    public String toString() {
        return this.name;
    }
}
